Vla-get-displayscrollbars

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-displayscrollbars vla-object )


機能
作図ウィンドウの下辺および右辺にスクロール バーを表示するかどうかを取得する。


引数
  • vla-object … のVLAオブジェクト


戻り値
ブール型
  •  :vlax-True: スクロール バーを表示する。
  •  :vlax-False: スクロール バーを表示しない。


  • MEMO:このプロパティの初期値は False。


サンプル
(vl-load-com)
(defun c:Example_DisplayScrollBars()
    ;; DisplayScrollBars の設定を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Display preferences オブジェクトを取得
    (setq ACADPref (vla-get-Display preferences))

    ;; DisplayScrollBars の既定値
    (setq currDisplayScrollBars (vla-get-DisplayScrollBars ACADPref))
    (alert (strcat "現在の DisplayScrollBars 値は " (if (= currDisplayScrollBars :vlax-true) "True" "False")))
    
    ;; 変更
    (setq newValue (if (= currDisplayScrollBars :vlax-true) :vlax-false :vlax-true))
    (vla-put-DisplayScrollBars ACADPref newValue)
    (alert (strcat "新しい DisplayScrollBars 値は " (if (= newValue :vlax-true) "True" "False")))
    
    ;; 戻す
    (vla-put-DisplayScrollBars ACADPref currDisplayScrollBars)
    (alert (strcat "DisplayScrollBars 値を次にもどしました " (if (= currDisplayScrollBars :vlax-true) "True" "False")))
)

関連事項